/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id$
 *
 ******************************************************************************/
package it.tidalwave.metadata.text;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import java.text.DecimalFormat;
import java.text.FieldPosition;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class ISOFormat extends DecimalFormat
  {
    private static final long serialVersionUID = 3458972345876458L;

    @Override
    @Nonnull
    public StringBuffer format (@Nonnegative final long number,
                                @Nonnull final StringBuffer result,
                                @Nonnull final FieldPosition fieldPosition)
      {
        result.append(String.format("ISO %d", number));
        return result;
      }
    
    @Override
    @Nonnull
    public Number parse (final String s)
      {
        throw new UnsupportedOperationException();
      }
  }
